Download folder
GET
/folder/{folderId}/download
const url = 'https://api.colourbox.com/folder/1/download';const options = {method: 'GET', headers: {Authorization: 'CBX-SIMPLE-TOKEN Token=<token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.colourbox.com/folder/1/download \ --header 'Authorization: CBX-SIMPLE-TOKEN Token=<token>'Download a folder as a ZIP file.
Downloading a folder does not include subfolders and the content of the subfolders. Please download all subfolders separate if needed.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”folderId
required
integer
Query Parameters
Section titled “Query Parameters”filename
string
Set the filename of the file being downloaded. If not set the filename will be the original filename or foldername
Responses
Section titled “Responses”Returns all media in the folder, in a ZIP-file named after the folder.